function DS=PBOX2DS(PBR)
%% Transform the Probability Box for the NAFEMS PROBLEM
%%
[~,I]=sort(PBR(1,:));
B=PBR(:,I); 
%  discretize DS structures
 [ML,lowboundR,upboundR]=deal(zeros(1,max(size(B))));
for i=2:max(size(B))
    ML(i)=B(1,i)-B(1,i-1);
    if B(2,i-1)==B(2,i) && B(2,i)==0
    lowboundR(i)=B(2,i);
    upboundR(i)=B(3,i);
    elseif B(2,i-1)==B(2,i) && B(2,i)==1
    lowboundR(i)=B(3,i);
    upboundR(i)=B(2,i)*B(3,end);
    elseif B(2,i-1)~=B(2,i) && B(2,i-1)==0
    lowboundR(i)=lowboundR(i-1);
    upboundR(i)=B(3,i+1);
      if B(2,i)==B(2,i+1)
                 upboundR(i)=B(2,i)*B(3,end);
            end
    elseif B(2,i-1)~=B(2,i) && B(2,i-1)==1
    lowboundR(i)=B(3,i+1);
    upboundR(i)=upboundR(i-1);
    end
   
end
  upboundR(ML==0)=[];
  lowboundR(ML==0)=[];
  ML(ML==0)=[];
DS =[lowboundR',upboundR',ML'];
end