function  plotDS(dsTR)
%% build DS strucutre
% dsTR=dsstruct([VC08MIN',VC08MAX',Mass]);
% dsVC=dsstruct([VC10MIN',VC10MAX',Mass]);
% dsZ=dsstruct([ZMIN',ZMAX',Mass]);
%  
%% diferent mass functions
down(:,1)=dsTR.ds(:,1);
down(:,2)=dsTR.ds(:,3);
down=sortrows(down,1);
up(:,1)=dsTR.ds(:,2);
up(:,2)=dsTR.ds(:,3);
up=sortrows(up,1);
for i=2:size(dsTR.ds,1)
    down(i,2)=down(i-1,2)+down(i,2);
    up(i,2)=up(i-1,2)+up(i,2);
end
[xa,xb]=stairs([down(1,1);down(:,1);up(size(up,1),1)],[0;down(:,2);1]);
[xc,xd]=stairs([down(1,1);up(:,1)],[0;up(:,2)]);
% %plot(xa,xb,'--k',xc,xd,'k','linewidth',1.5);
%  subplot(3,2,4) 
hold on;
plot(xa,xb,':r','linewidth',2.5 );
plot(xc,xd,':k','linewidth',2.5 );
% %xlabel('x','FontSize',12,'fontweight','bold');
% %ylabel('p([0,x])','FontSize',12,'fontweight','bold');

 xlim([down(1,1)-up(size(up,1),1)*0.02,up(size(up,1),1)*1.02]);
% % xlim([0-100000*0.02,100000]);
ylim([-0.0,1.02]);
% %legend('Pl([0,x])','Bel([0,x])',4);
legend('Pl','Bel'); 
ylabel('Comnulative pl/bel');
end